All of lore.kernel.org
 help / color / mirror / Atom feed
From: Dan Nicholson <dbn.lists@gmail.com>
To: Geert.Uytterhoeven@sonycom.com
Cc: git@vger.kernel.org
Subject: [PATCH] quiltimport: Skip non-existent patches
Date: Thu, 27 Sep 2007 13:30:59 -0700	[thread overview]
Message-ID: <1190925059-5233-1-git-send-email-dbn.lists@gmail.com> (raw)
In-Reply-To: <Pine.LNX.4.62.0709271154440.10467@pademelon.sonytel.be>

When quiltimport encounters a non-existent patch in the series file,
just skip to the next patch. This matches the behavior of quilt.

Signed-off-by: Dan Nicholson <dbn.lists@gmail.com>
---
 git-quiltimport.sh |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/git-quiltimport.sh b/git-quiltimport.sh
index 74a54d5..880c81d 100755
--- a/git-quiltimport.sh
+++ b/git-quiltimport.sh
@@ -71,6 +71,10 @@ commit=$(git rev-parse HEAD)
 
 mkdir $tmp_dir || exit 2
 for patch_name in $(grep -v '^#' < "$QUILT_PATCHES/series" ); do
+	if ! [ -f "$QUILT_PATCHES/$patch_name" ] ; then
+		echo "$patch_name doesn't exist. Skipping."
+		continue
+	fi
 	echo $patch_name
 	git mailinfo "$tmp_msg" "$tmp_patch" \
 		<"$QUILT_PATCHES/$patch_name" >"$tmp_info" || exit 3
-- 
1.5.3.2

  parent reply	other threads:[~2007-09-27 20:31 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2007-09-27  9:59 git-quiltimport and non-existent patches Geert Uytterhoeven
2007-09-27 19:41 ` Junio C Hamano
2007-09-27 20:30 ` Dan Nicholson [this message]
2007-09-27 20:39   ` [PATCH] quiltimport: Skip " Dan Nicholson
2007-09-27 20:50     ` Junio C Hamano
2007-09-27 21:45       ` Dan Nicholson
2007-09-27 22:02         ` Junio C Hamano
2007-09-27 22:20           ` Dan Nicholson
2007-09-28 14:06   ` Geert Uytterhoeven

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1190925059-5233-1-git-send-email-dbn.lists@gmail.com \
    --to=dbn.lists@gmail.com \
    --cc=Geert.Uytterhoeven@sonycom.com \
    --cc=git@vger.kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.